#
# spec file for package perl-Compress-Raw-Lzma
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with pod

Name:           perl-Compress-Raw-Lzma
%define cpan_name Compress-Raw-Lzma
Summary:        Low-Level Interface to lzma compression library
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Version:        2.068
Release:        1.6
Url:            http://search.cpan.org/dist/Compress-Raw-Lzma/
Source:         http://www.cpan.org/authors/id/P/PM/PMQS/Compress-Raw-Lzma-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%if 0%{?with pod}
BuildRequires:  perl(Test::Pod) >= 1.00
%endif
%{perl_requires}
#MANUAL BEGIN
#xz-devel-4.999.* provide /usr/bin/lzma.h
#lzma-devel-4.32.* provides only /usr/bin/lzmadec.h (which is a different interface)
# We need to bring xz package into SLE* to make this happy.
BuildRequires:  xz-devel
# t/050interop-xz.t wants this:
BuildRequires:  xz
# MANUAL END

%description
'Compress::Raw::Lzma' provides an interface to the in-memory
compression/uncompression functions from the lzma compression library.

Although the primary purpose for the existence of 'Compress::Raw::Lzma' is
for use by the 'IO::Compress::Lzma', 'IO::Uncompress::UnLzma',
'IO::Compress::Xz' and 'IO::Uncompress::UnXz' modules, it can be used on
its own for simple compression/uncompression tasks.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Wed Dec 24 2014 jnweiger@gmail.com
- update to 2.068 23 Dec 2014
  * No Changes
- 2.064 1 February 2014
  * [PATCH] Handle non-PVs better [#91558]
* Sun Dec  1 2013 jw@suse.com
- Update to 2.062, since 2.052 fails on 13.1 with
  t/01llzma-generic.t at line 487
    [   61s] #          got: 'Appended$&A*̓5KH=*5$Appended'
    [   61s] #     expected: 'Appended'
  and many other fatal errors.
- 2.062 11 August 2013 * fix typos [RT #86418]
- 2.061 19 May 2013 * silence compiler warning by making 2nd parameter to DispStream a const char*
- 2.060 7 January 2013 * No Changes
- 2.059 24 November 2012 * Copy-on-write support
- 2.058 12 November 2012 * No Changes
- 2.057 10 November 2012
  * update to ppport.h that includes SvPV_nomg_nolen
  * added PERL_NO_GET_CONTEXT
- 2.055 5 August 2012 * Fix misuse of magic in API
* Mon Jun 25 2012 chris@computersalat.de
- update to 2.052
  * Fixed to allow building with C++
- 2.049 17 February 2012
  * README wasn't included in the distribution.
- 2.047 28 January 2012
  * Set minimum Perl version to 5.6
- 2.045 3 December 2011
  * Moved FAQ.pod to IO::Compress
- 2.044 2 December 2011
  * Moved FAQ.pod under the lib directory so it can get installed
- 2.039 28 October 2011
  * croak if attempt to freeze/thaw compression object
    [RT #69985]
- 2.036 18 June 2011
  * A number of changes to facilitate adding LZMA support to
    IO::Compress::Zip & IO::Uncompress::Unzip
  * Added preset filters Lzma::Filter::Lzma1::Preset &
    Lzma::Filter::Lzma2::Preset
  * Added forZip option to Compress::Raw::Lzma::Encoder
  * Added properties option to Compress::Raw::Lzma::RawDecoder
- update license to spdx format
* Tue May 31 2011 coolo@novell.com
- updated to 2.035
  code name "No Changes"
* Sat Apr 16 2011 coolo@opensuse.org
- updated to 2.033
  * Changed default MemLimit from 128Meg to unlimited.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Nov  9 2010 coolo@novell.com
- update to 2.031
  * build with xz 5.0
* Tue Sep 21 2010 jw@novell.com
- testsuite recommends xz
* Tue Sep 21 2010 jw@novell.com
- update to 2.030
  * no visible changes
  * created by cpanspec 1.78.02
* Mon Sep 13 2010 jw@novell.com
- use xz-devel instead of lzma-devel
* Wed Jun 30 2010 jw@novell.com
- initial version 2.029 needed by perl-IO-Compress-Lzma
